Bug 1428111 - Broken links in the View Trends and the View Histogram menu
Summary: Broken links in the View Trends and the View Histogram menu
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 19:54 UTC by tgriep
Modified: 2017-07-23 22:53 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-23 02:20:20 UTC


Attachments (Terms of Use)

Description tgriep 2017-03-01 19:54:16 UTC
Description of problem:
The links for the following are broken in the Service Information or the Host Information menus for the following links.
View Trends For This Service
View Alert Histogram For This Service
View Trends For This Host
View Alert Histogram For This Host

It has to do with how Nagios was compiled with the --with-cgiurl option
In the next build, if you change the --with-cgiurl option from
--with-cgiurl=/%{name}/cgi-bin/ \
to
--with-cgiurl=/%{name}/cgi-bin \

Removing the trailing /

That should fix the broken links in the above menus.

Version-Release number of selected component (if applicable):
Nagios Core 4.2.4 from EPEL for Centos7 installs

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Stephen John Smoogen 2017-03-01 19:56:00 UTC
Thanks. Working on an update with some other bugs and will put that in. Any other items?

Comment 2 tgriep 2017-03-02 15:20:43 UTC
No, I do not have any other items at this time. Thanks a lot for your help.

Comment 3 BinaryLife 2017-06-01 18:28:44 UTC
Hello,(In reply to tgriep from comment #0)
> Description of problem:
> The links for the following are broken in the Service Information or the
> Host Information menus for the following links.
> View Trends For This Service
> View Alert Histogram For This Service
> View Trends For This Host
> View Alert Histogram For This Host
> 
> It has to do with how Nagios was compiled with the --with-cgiurl option
> In the next build, if you change the --with-cgiurl option from
> --with-cgiurl=/%{name}/cgi-bin/ \
> to
> --with-cgiurl=/%{name}/cgi-bin \
> 
> Removing the trailing /
> 
> That should fix the broken links in the above menus.
> 
> Version-Release number of selected component (if applicable):
> Nagios Core 4.2.4 from EPEL for Centos7 installs
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:

Hello,

I was wondering if there was anything we can do to correct this manually until an update is released? Or, is it best to wait until the next release to avoid any further issues?

Thanks!

Comment 4 Stephen John Smoogen 2017-06-14 17:07:30 UTC
This should be fixed in upcoming packages in testing. My apologies for the delay.

Comment 5 Fedora Update System 2017-06-14 17:48:21 UTC
nagios-4.3.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be21da56cb

Comment 6 Fedora Update System 2017-06-14 18:14:41 UTC
nagios-4.3.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fdee517d

Comment 7 Fedora Update System 2017-06-14 18:26:33 UTC
nagios-4.3.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9943d302bd

Comment 8 Fedora Update System 2017-06-14 18:53:18 UTC
nagios-4.3.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f6d46ab05

Comment 9 Fedora Update System 2017-06-14 18:59:04 UTC
nagios-4.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 10 Fedora Update System 2017-06-15 09:46:32 UTC
nagios-4.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 11 Fedora Update System 2017-06-15 09:48:07 UTC
nagios-4.3.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f6d46ab05

Comment 12 Fedora Update System 2017-06-15 10:57:12 UTC
nagios-4.3.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9943d302bd

Comment 13 Fedora Update System 2017-06-15 10:59:02 UTC
nagios-4.3.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fdee517d

Comment 14 Fedora Update System 2017-06-15 14:01:03 UTC
nagios-4.3.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be21da56cb

Comment 15 tgriep 2017-06-15 14:52:26 UTC
I did some quick testing and the broken links have been fixed now. Thank You for fixing this.

Comment 16 Fedora Update System 2017-06-28 19:27:07 UTC
nagios-4.3.2-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 17 Fedora Update System 2017-06-29 23:25:24 UTC
nagios-4.3.2-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff366a9c63

Comment 18 Fedora Update System 2017-06-30 01:16:17 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 19 Fedora Update System 2017-06-30 01:21:04 UTC
nagios-4.3.2-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a6bf582624

Comment 20 Fedora Update System 2017-06-30 01:50:34 UTC
nagios-4.3.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1f1f14fbc

Comment 21 Fedora Update System 2017-06-30 02:26:25 UTC
nagios-4.3.2-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-72d4579efc

Comment 22 Fedora Update System 2017-07-23 02:20:20 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-07-23 03:54:35 UTC
nagios-4.3.2-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-07-23 18:49:23 UTC
nagios-4.3.2-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-07-23 21:50:26 UTC
nagios-4.3.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-07-23 22:53:49 UTC
nagios-4.3.2-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.